/* REXX installation script for DC User Pack */
/* Copyright (C) 1998 by Joseph L. Shrago */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

/*-------------------------- Initialization ------------------------------*/
prompt= "Input path name for DC User Pack (C:\DCpack):"
len=length(prompt)
parse value SysCurPos() with row col

SAY prompt

rc=SysCurPos(row-1,len)

PARSE PULL installdir

IF installdir = "" THEN installdir="C:\DCpack"

if GetYesNo( "Install DC User Pack in "installdir ) == 0 then
   exit


rc=SysMkDir(installdir)
cmd='copy *.ico 'installdir'>nul'
cmd
cmd='copy *.bmp 'installdir'>nul'
cmd
cmd='copy *.exe 'installdir'>nul'
cmd
cmd='copy *.inf 'installdir'>nul'
cmd
cmd='copy *.lib 'installdir'>nul'
cmd
cmd='copy *.h 'installdir'>nul'
cmd
cmd='copy *.cod 'installdir'>nul'
cmd
cmd='copy *.ini 'installdir'>nul'
cmd
cmd='copy *.cmd 'installdir'>nul'
cmd

dlldir=value('USER_INI',,'OS2ENVIRONMENT')
dlldir=substr(dlldir,1,lastpos('\',dlldir))'dll'
cmd='copy *.dll 'dlldir' >nul'
cmd

say 
/*------------------------- Create DC User Pack folder ---------------------*/

param='ICONFILE='installdir'\DCpack.ICO;OBJECTID=<DCUP_FLD>;ALWAYSSORT=Yes;ICONVIEWPOS=25,25,45,30;BACKGROUND='installdir'\DCPACK.BMP,T'
rc = SysCreateObject( "WPFolder","DC User Pack","<WP_DESKTOP>",param,"REPLACE" )
if rc then
   say "DC User Pack folder successfully created on desktop..."
else
   say "ERROR: DC User Pack folder creating failed!"

/*------------------- Create DC User Pack object ---------------------------*/

param='ICONFILE='installdir'\DClazy.ICO;OBJECTID=<DCUPLAZY_EXE>;EXENAME='installdir'\DClazy.EXE;STARTUPDIR='installdir
rc = SysCreateObject( "WPProgram", "Clipboard Coder for Lazy", "<DCUP_FLD>",param,"REPLACE" )

param='ICONFILE='installdir'\DCclico.ICO;OBJECTID=<DCUPCLICO_EXE>;EXENAME='installdir'\DCclico.EXE;STARTUPDIR='installdir
rc = SysCreateObject( "WPProgram", "Clipboard Coder", "<DCUP_FLD>",param,"REPLACE" )

if rc then
   say "DC User Pack object successfully created..."
else 
   say "ERROR: DC User Pack object creating failed!"



/*--------------- Create DC User Pack Uninstall object -----------------------*/

param='ICONFILE='installdir'\DCuninst.ICO;EXENAME=*;PROGTYPE=PM;PARAMETERS=/C 'installdir'\DCuninst.CMD;STARTUPDIR='installdir
rc = SysCreateObject( "WPProgram", "Uninstall DC User Pack", "<DCUP_FLD>",param,'REPLACE')

if rc then
   say "Uninstall object successfully created..."
else 
   say "ERROR: Uninstall object creating failed!"


/*-------------------------- Install DC User Pack Information -----------------*/
param='PROGTYPE=PM;NOPRINT=YES;HELPPANEL=4083;EXENAME=VIEW.EXE;NOPRINT=YES;STARTUPDIR='installdir';PARAMETERS='installdir'\DCpack.INF'
rc = SysCreateObject("WPProgram","DC User Pack Reference","<DCUP_FLD>",param,'REPLACE')

exit

GetYesNo: procedure

   ok = 0

   do until ok
      call charout, arg(1) || "? "
      pull reply
      reply = left(reply, 1)
      ok = (reply = "Y") | (reply = "N")
      if \ok then do
         say 'Sorry. Please enter "Y" or "N".'
      end
   end

return (reply = "Y")
